Subject: Re: [BEHAVE] PMTUD, TCP MSS, stateless and stateful translation

From: Xing Li <[email-masked]>
Date: Mon, 02 Nov 2009 22:33:54 +0800

marcelo bagnulo braun 写道:
> Hi,
>
> After looking into the issue regarding PMUTD, i cannot find anything 
> that is specific to the stateful translation about PMTUD. Does anybody 
> sees anything that should be covered in the statefull document about 
> the PMTUD handling? If not, i will refer as much as possible to the 
> stateless document for this.
>
> Similar to the TCP MSS handling. I don't think there is anything 
> specific about how to handle that to the stateful translator. I will 
> also refer then to the stateless translator.

For TCP MSS, it is in

1.4. Path MTU discovery and fragmentation

There are
three mechanisms to handle this issue: the path MTU discovery,
fragmentation and transport layer negotiation such as the TCP MSS
option.

Note that,

When implement TCP MSS, it overwrites the other actions. For the current 
stateless and stateful translators with MTU=1500 in the end systems, 
there is no need to modify the TCP MSS, since TCP MSS only counts the 
payload length.

Should we add this in the xlate document?

regards,

xing

>
> Comments?
>
> regards, marcelo
>
>
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>
>